/* ------------------- */
/* Custom properties   */
/* ------------------- */

:root {
  /* colors */
  --clr-primary-400: hsl(1, 90%, 64%);
  --clr-primary-500: hsl(219, 85%, 26%);

  --clr-neutral-100: hsl(0, 0%, 100%);
  --clr-neutral-200: hsl(210, 60%, 98%);
  --clr-neutral-300: hsl(211, 68%, 94%);
  --clr-neutral-400: hsl(205, 33%, 90%);
  --clr-neutral-500: hsl(219, 14%, 63%);
  --clr-neutral-600: hsl(219, 12%, 42%);
  --clr-neutral-700: hsl(224, 21%, 14%);

  /* font-sizes */
  --fs-body: 1rem;
  --fs-h1: 1rem;

  /* font-families */
  --ff-primary: "Plus Jakarta Sans", sans-serif;

  /* font-weights */
  --fw-500: 500;
  --fw-800: 800;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  font-family: var(--ff-primary);
  font-size: var(--fs-body);
  /* color: hsl( var(--clr-white) ); */
  background-color: var(--clr-neutral-200);
  /* display: grid;
  grid-template-rows: min-content 1fr; */
  overflow-x: hidden;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* ------------------- */
/* Utility classes     */
/* ------------------- */

/* general */

.flex {
  display: flex;
  gap: var(--gap, 1rem);
}

.grid {
  display: grid;
  gap: var(--gap, 1rem);
}

.d-block {
  display: block;
}

.flow > *:where(:not(:first-child)) {
  margin-top: var(--flow-space, 1rem);
}

.flow--space-small {
  --flow-space: 0.75rem;
}

.container {
  padding-inline: 1em;
  margin-inline: auto;
  max-width: 80rem;
  border-radius: 1rem;
  background-color: var(--clr-neutral-100);
  box-shadow: var(--clr-neutral-400) 0px 8px 24px;
}
@media (min-width: 44em) {
  :root {
    --fs-h1: 1.5rem;
  }
  .container {
    max-width: 55%;
    margin-block: 4rem;
  }
}
.badge {
  background-color: var(--clr-primary-500);
  color: var(--clr-neutral-100);
  font-size: var(--fs-body);
  text-align: center;
  padding: 0.1em 0.5em;
  margin-left: 0.5rem;
  border-radius: 5px;
}

header {
  padding-block: 2em;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.link {
  cursor: pointer;
  color: var(--clr-neutral-500);
  font-weight: var(--fw-500);
}

h1 {
  /* font-size: 1.5rem; */
  font-size: var(--fs-h1);
}
h2,
p {
  font-size: var(--fs-body);
}

.notifications {
  display: grid;
  gap: 1rem;
}
.notification {
  cursor: pointer;
  display: flex;
  gap: 1rem;
  border-radius: 1rem;
  padding: 1rem;
}
.notification.unread {
  background-color: var(--clr-neutral-200);
}
.notification.unread .notification__header::after {
  position: absolute;
  content: "";
  width: 0.4rem;
  height: 0.4rem;
  border-radius: 50%;
  margin-left: 0.5rem;
  margin-top: 0.5rem;
  background-color: var(--clr-primary-400);
}
.notification__img img {
  max-width: 45px;
}
.notification__header {
  position: relative;
}

.notification__header > * {
  display: inline;
}
.notification__header > p {
  color: var(--clr-neutral-500);
}
.notification__message {
  cursor: pointer;
  background-color: var(--clr-neutral-100);
  padding: 1rem;
  border-radius: 1rem;
  margin-top: 1rem;
  color: var(--clr-neutral-600);
  border: 1px solid var(--clr-neutral-400);
}
.notification__message:hover,
.notification__message:focus {
  background-color: var(--clr-neutral-300);
}

.name {
  cursor: pointer;
}
.title {
  cursor: pointer;
  color: var(--clr-neutral-600);
  font-weight: var(--fw-800);
}
.link:hover,
link:focus,
.title:hover,
title:focus,
.name:hover,
.name:focus {
  color: var(--clr-primary-500);
}
.group {
  text-decoration: none;
  color: var(--clr-primary-500);
  font-weight: var(--fw-800);
}
.time {
  color: var(--clr-neutral-500);
}
.notification > :last-child:nth-child(3) {
  margin-left: auto;
  cursor: pointer;
}
